const path  = require('path')

module.exports = {
  entry: path.resolve('src/index.js'),
  watch: false,
  context: __dirname,
  devtool: 'source-map',
  output: {
    path: path.resolve(__dirname, 'dist'),
    publicPath: '/dist',
    filename: 'githubreactionbutton.js',
    libraryTarget: 'umd',
    library: 'GithubReactionButton'
  },
  module: {
    rules: [
      {
        test: /\.(js|jsx)$/,
        loader: 'babel-loader'
      }
    ]
  }
}
