'use strict';

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

require('babel-polyfill');

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _Reaction = require('./Reaction');

var _Reaction2 = _interopRequireDefault(_Reaction);

var _store = require('./store');

var _store2 = _interopRequireDefault(_store);

var _qs = require('./qs');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Reaction = function () {
  function Reaction() {
    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

    _classCallCheck(this, Reaction);

    this.options = options;
  }

  _createClass(Reaction, [{
    key: 'init',
    value: function () {
      var _ref = _asyncToGenerator( /*#__PURE__*/regeneratorRuntime.mark(function _callee() {
        var redirect_uri, q;
        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _context.next = 2;
                return _store2.default.get('redirect_uri');

              case 2:
                redirect_uri = _context.sent;
                q = (0, _qs.parse)(location.search);

                if (!(q.code && redirect_uri && redirect_uri !== location.href)) {
                  _context.next = 8;
                  break;
                }

                _context.next = 7;
                return _store2.default.remove('redirect_uri');

              case 7:
                location.href = redirect_uri + '?code=' + q.code;

              case 8:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function init() {
        return _ref.apply(this, arguments);
      }

      return init;
    }()
  }, {
    key: 'render',
    value: function render(container, options) {
      var node = null;
      container = container || this.options.container;

      if (!container) {
        throw new Error('Container is required: ' + container);
      }
      if (!(container instanceof HTMLElement)) {
        node = document.getElementById(container);
        if (!node) {
          throw new Error('Container not found, document.getElementById: ' + container);
        }
      } else {
        node = container;
      }
      return (0, _reactDom.render)(_react2.default.createElement(_Reaction2.default, _extends({}, this.options, options)), node);
    }
  }, {
    key: 'component',
    get: function get() {
      var _this = this;

      return function (props) {
        return _react2.default.createElement(_Reaction2.default, _extends({}, _this.options, props));
      };
    }
  }]);

  return Reaction;
}();

module.exports = Reaction;